﻿using System;

using Xamarin.Forms;

namespace XamarinForms
{
    public partial class SfDataGridPage : ContentPage
    {
        public SfDataGridPage()
        {
            InitializeComponent();
            dataGrid.ItemsSource = viewModel.OrdersInfo;
            btn.Clicked += B1_Clicked;
        }

        bool isNaviagted;
        private void B1_Clicked(object sender, EventArgs e)
        {
            isNaviagted = true;
            this.Navigation.PushAsync(new ItemsPage());
        }

        protected override void OnAppearing()
        {
            if (isNaviagted)
            {
                viewModel.OrdersInfo.Insert(0,new OrderInfo() { CustomerID = "Thomas" });
                viewModel.OrdersInfo.RemoveAt(2);
                isNaviagted = false;
            }
            base.OnAppearing();
        }
    }
}
